std::queue::pop(3)

NAME
std::queue::pop - std::queue::pop

Synopsis
   void pop();
   Removes an element from the front of the queue. Effectively calls c.pop_front()

Parameters
   (none)

Return value
   (none)

Complexity
   Equal to the complexity of Container::pop_front.

Example

See also
   emplace constructs element in-place at the end
   (C++11) (public member function)
   push inserts element at the end
           (public member function)
   front access the first element
           (public member function)